aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/build-qbs-with-qbs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/build-qbs-with-qbs.sh')
-rwxr-xr-xscripts/build-qbs-with-qbs.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/build-qbs-with-qbs.sh b/scripts/build-qbs-with-qbs.sh
index 503f3fbff..6b6f6d2a9 100755
--- a/scripts/build-qbs-with-qbs.sh
+++ b/scripts/build-qbs-with-qbs.sh
@@ -106,6 +106,10 @@ if [ -z "${QBS_AUTOTEST_PROFILE}" ]; then
fi
#
-# Run all autotests with QBS_AUTOTEST_PROFILE
+# Run all autotests with QBS_AUTOTEST_PROFILE. Some test cases might run for
+# over 10 minutes. Output an empty line every 9:50 minutes to prevent a 10min
+# timeout on Travis CI.
#
+(while true; do echo "" && sleep 590; done) &
+trap "kill $!" EXIT
qbs build -p "autotest-runner" ${BUILD_OPTIONS}